Operations Orchestration Support and News Forum
Showing results for 
Search instead for 
Do you mean 

Upgrade to 9.05

Occasional Advisor

Upgrade to 9.05

Hi all,

 

When trying to upgrade from 9.00 to 9.05 it fails to apply.

It stops very early up in the mix.

 

"load.db.properties:
[get-database-props] log4j:WARN No appenders could be found for logger (com.iconclude.dharma.commons.security.DharmaEncrypterBase).
[get-database-props] log4j:WARN Please initialize the log4j system properly.

BUILD FAILED
D:\Upgrade_9.05\upgrade-utils.xml:13: Could not resolve database driver from database URL: jdbc:hsqldb:hsql://localhost:9001/dharmaDB"

Anyone come across this?

 

Thanks in advance,

Tel

12 REPLIES
Frequent Advisor

Re: Upgrade to 9.05

were your OO environment variables set prior to execution?

what does your environment look like (are you running hsql)?

//Actively seeking HPOO opportunities
Occasional Advisor

Re: Upgrade to 9.05

Hi Jarod,


Well the only one mentioned in the documentation was ICONCLUDE_HOME and that was indeed set to C:\Hewlett-Packard\Operations Orchestration

 

It's a windows 2008 VM with a standard installation, no options changed.

MySQL Database was installed.

Frequent Advisor

Re: Upgrade to 9.05

You might try to export these -- I use a linux environment for all but RAS... so it may not be of assistance

Also -- the paths may not make sense (unsure what the directory layout looks with central on windows)

 

ICONCLUDE_HOME="C:\Hewlett-Packard\Operations Orchestration\Central"
JAVA_HOME="%ICONCLUDE_HOME%\jre1.6"
JETTY_HOME="%ICONCLUDE_HOME%\jetty"
ICONCLUDE_CENTRAL_HOME="%ICONCLUDE_HOME%\Central\Central"

//Actively seeking HPOO opportunities
Occasional Advisor

Re: Upgrade to 9.05

Hi Jarod,
Added those and they resolve correctly, but no change.
Still the same error.
Frequent Advisor

Re: Upgrade to 9.05

Are you upgrading as the user who OO runs as?
can you share the contents of the update log?
//Actively seeking HPOO opportunities
Occasional Advisor

Re: Upgrade to 9.05

Hi there Jarod, HPOO itself is running under the Local System account.
I'm trying the upgrade from an account who is a member of the administrators group.

 

Upgrade.log attached.

Strange this is the upgrade.log says      [echo] Target version is 9.05
But I know that can't be, this is a fresh install done by me 2 days ago.
Everything about the HPOO instance says 9.00

Frequent Advisor

Re: Upgrade to 9.05

Can you run this query against your OO DB instance?

select * from build_info;

//Actively seeking HPOO opportunities
Occasional Advisor

Re: Upgrade to 9.05

Sorry it's taken me a couple of days to get back to you.

9.00.201004201409

 

A couple of things I've figured out. I think this might have something to do with my VM running the trial version.

When installing the trial version you do not get the option of what DB to connect to, instead it uses a HyperSQL DB.

Advisor

Re: Upgrade to 9.05

I have the same issue. trying to patch the HPOO trial with hsqldb driver to the latest patch i have 9.05. i need this to test also HP CSA. was there a solution to the problem?

Valued Contributor

Re: Upgrade to 9.05

Did you make sure that all HP OO services are stopped before you run the install.bat?

 

-sdef

Occasional Advisor

Re: Upgrade to 9.05

Hi Michael,

Yes, the solution was not to be running the trial version.

Trial version installs using HyperSQL database and the jdbc drivers cannot be found (by default).
You could try installing the jdbc drivers (or putting them in your classpath) so they can be found. My resolution was to install the full version giving me the ability to specify what database I wanted to use.

 

 

Highlighted
Member

Re: Upgrade to 9.05

Hi,

 

I'm trying to do the same thing. Is there any solution for this problem yet?

 

Thank you.